COMMENT #
The program includes speeds reported via email. If yours is not included
please email me. Some include a sample of one only. Only two people
responded will wildly seemingly incaccurate numbers. I suspect their
computers are not what they think they are.

My own 486SX-33 (AMI BIOS) is curious. I read that the keyboard turbo
Ctrl-Alt-Plus and Ctrl-Alt-Minus for changing CPU speeds is not supported
by this BIOS. My "user guide" does not mention.

However, the button on the tower drops the LED displayed speed to 20MHz.
This reports two speeds (0836 and 18DD) according to the Ctrl-Alt keys
which seem to work only when 20MHz is displayed. Does anybody have any
info on this?
#

; TIMER.ASM This is modified from PCGPE10.ZIP/TIMER.ASM
; JIM TUCKER <jtucker@byron.apana.org.au>
;
; This is simple code for measuring the relative speed of computer.
; This program will NOT function properly under multitaskers, as they
; use the timer themselves. At least DesqView, OS/2 and Windows mess up.
; Typical speeds reported on Internet are shown in the message. Values
; may differ from these about 2 up or down. You should run the test
; several times as disk caches and others can mess up the test.
; A86 will assemble this:

 start: mov     ax, 0900h       ;Say hello
        mov     dx, offset mesg1
        int     21h
        cli
        mov     al, 34h		;Reset clock
        out     43h, al
        xor     al, al
        out     40h, al
        out     40h, al
        sti
        mov     cx, 1000h       ;action here, must not take
 here:  dec     cx              ;more than 1/18
        jnz     here            ;(0.0555) seconds to run

	cli			;Now read the clock
        mov     al, 4h
        out     43h, al
        in      al, 40h
        mov     bl, al
        in      al, 40h
        mov     bh, al
        sti
        neg     bx              ;Action took bx/1193180 seconds

	mov	ah,9
	mov	dx,offset mesg2
	int	21h
	mov	al,bh		;Output hi byte as 2 hex digits
	call	hex
	mov	al,bl		;Lo byte
	call	hex
        mov     al,13
        int     29h
        mov     al,10
        int     29h
	mov	al,bh
	mov	ah,4Ch
	int	21h

 hex:	aam	10h		;Output byte in al as hex
	call	xx
 xx:	xchg	al,ah
	cmp	al,0Ah
	sbb	al,69h
	das
	int	29h
	ret

mesg1   db      13,10
db '80XXX CPUTIMER - Jim Tucker <jtucker@adam.com.au>',13,10
db 'Use DOS only. Run several times as disk cache etc may',13,10
db 'be using the timer chip. For the latest version and ASM',13,10
db 'source code please email your speed.',13,10,13,10

db 'CPU    MHz Speed       CPU    MHz Speed',13,10,13,10

db 'Pent   90  010E        486SX  **  0835 (33/Turbo Off)',13,10
db '486DX2 66  0126        386DX  16  0DBA',13,10              
db '486DX  50  0189        386SX  20  1020',13,10     
db '                       386SX  16  120D',13,10 
db '486DX  33  024C        286    16  1000',13,10              
db '486SX  25  030F        286    12  15D8',13,10
db '486SX  20  03D4        286    10  1500',13,10              
db '386DX  40  05ED-0698   V20    10  2161',13,10              
db '386SX  16  120D        286    10  22C0',13,10
db '286   4.77 5AB2',13,10
db '086   4.77 6006 (Also Soviet Union K1810VM86!)',13,10,13,10,'$'

mesg2  db  'The relative speed of *YOUR* computer is: $'

COMMENT x

section 1 of uuencode 5.25 of file cputimer.com    by R.E.M.

begin 644 cputimer.com
MN``)NE@!S2'ZL#3F0S+`YD#F0/NY`!!)=?WZL`3F0^1`BMCD0(KX^_?;M`FZ
M"P3-(8K'Z!,`BL/H#@"P#<TIL`K-*8K'M$S-(=00Z```AN`\"AQI+\TIPPT*
M.#!86%@@0U!55$E-15(@+2!*:6T@5'5C:V5R(#QJ='5C:V5R0&%D86TN8V]M
M+F%U/@T*57-E($1/4R!O;FQY+B!2=6X@<V5V97)A;"!T:6UE<R!A<R!D:7-K
M(&-A8VAE(&5T8R!M87D-"F)E('5S:6YG('1H92!T:6UE<B!C:&EP+B!&;W(@
M=&AE(&QA=&5S="!V97)S:6]N(&%N9"!!4TT-"G-O=7)C92!C;V1E('!L96%S
M92!E;6%I;"!Y;W5R('-P965D+@T*#0I#4%4@("`@34AZ(%-P965D("`@("`@
M($-052`@("!-2'H@4W!E960-"@T*4&5N="`@(#DP("`P,3!%("`@("`@("`T
M.#936"`@*BH@(#`X,S4@*#,S+U1U<F)O($]F9BD-"C0X-D18,B`V-B`@,#$R
M-B`@("`@("`@,S@V1%@@(#$V("`P1$)!#0HT.#9$6"`@-3`@(#`Q.#D@("`@
M("`@(#,X-E-8("`R,"`@,3`R,`T*("`@("`@("`@("`@("`@("`@("`@("`S
M.#936"`@,38@(#$R,$0-"C0X-D18("`S,R`@,#(T0R`@("`@("`@,C@V("`@
M(#$V("`Q,#`P#0HT.#936"`@,C4@(#`S,$8@("`@("`@(#(X-B`@("`Q,B`@
M,35$.`T*-#@V4U@@(#(P("`P,T0T("`@("`@("`R.#8@("`@,3`@(#$U,#`-
M"C,X-D18("`T,"`@,#5%1"TP-CDX("`@5C(P("`@(#$P("`R,38Q#0HS.#93
M6"`@,38@(#$R,$0@("`@("`@(#(X-B`@("`Q,"`@,C)#,`T*,C@V("`@-"XW
M-R`U04(R#0HP.#8@("`T+C<W(#8P,#8@*$%L<V\@4V]V:65T(%5N:6]N($LQ
M.#$P5DTX-B$I#0H-"B14:&4@<F5L871I=F4@<W!E960@;V8@*EE/55(J(&-O
,;7!U=&5R(&ES.B`D
`
end
sum -r/size 2846/1163 section (from "begin" to "end")
sum -r/size 64136/822 entire input file
x

-- 
JIM TUCKER  finger jtucker@byron.apana.org.au jtucker@adam.com.au | "So muche
4/635 Brighton Road, Seacliff, South AUSTRALIA 5049 61 8 377-1175 |  to lerne"
Programs:  ftp://kludge.byron.apana.org.au/pub/jtsoftware         | - Chaucer


